# -*- coding: utf-8 -*-

from odoo import api, fields, models

class ProjectLFConfiguration(models.TransientModel):
	_name = 'project.config.settings'
	_inherit = 'project.config.settings'

	lf_heures_jour = fields.Float('Heures / Jour', help="Base de temps pour le calcul du nombre d'heures vendues par projet (7h par défaut)", default=7.0 )

	@api.multi
	def get_default_lf_heures_jour(self, field):
		lf_heures_jour = self.env['project.config.settings'].search([], limit=1, order='id desc').lf_heures_jour
		return { 'lf_heures_jour': lf_heures_jour if lf_heures_jour else 7.0 }
        